# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fuel/cli/version'

Gem::Specification.new do |spec|
  spec.name          = "fuel-cli"
  spec.version       = Fuel::CLI::VERSION
  spec.authors       = ["Alex Zherdev"]
  spec.email         = ["azherdev@rocketfuel.com"]
  spec.summary       = %q{Simple set of command-line tools to aid in Fuel dev process.}
  spec.description   = %q{}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.post_install_message = "\e[36m\e[1mWelcome, Fuel developer! Type \"fuel setup\" to get started.\e[0m"

  spec.add_dependency "thor"
  spec.add_dependency "httparty"
  spec.add_dependency "jenkins_api_client"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "debugger"
end
